IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/48
Addresses2^80
/64 networks65,536
- Network
3c19:c25a:65::/48- First address
3c19:c25a:65::- Last address
3c19:c25a:65:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,208,925,819,614,629,174,706,176 (2^80)
- /64 networks (LANs)
- 65,536
- Full form
3c19:c25a:0065:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
5.6.0.0.a.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25a:65::/48 makes 4,096 subnets of /60; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25a:65::/60 | 3c19:c25a:65:f:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25a:65:10::/60 | 3c19:c25a:65:1f:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25a:65:20::/60 | 3c19:c25a:65:2f:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25a:65:30::/60 | 3c19:c25a:65:3f:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25a:65:40::/60 | 3c19:c25a:65:4f:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25a:65:50::/60 | 3c19:c25a:65:5f:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25a:65:60::/60 | 3c19:c25a:65:6f:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25a:65:70::/60 | 3c19:c25a:65:7f:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25a:65:80::/60 | 3c19:c25a:65:8f:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25a:65:90::/60 | 3c19:c25a:65:9f:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25a:65:a0::/60 | 3c19:c25a:65:af:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25a:65:b0::/60 | 3c19:c25a:65:bf:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25a:65:c0::/60 | 3c19:c25a:65:cf:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25a:65:d0::/60 | 3c19:c25a:65:df:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25a:65:e0::/60 | 3c19:c25a:65:ef:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25a:65:f0::/60 | 3c19:c25a:65:ff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25a:65:100::/60 | 3c19:c25a:65:10f:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25a:65:110::/60 | 3c19:c25a:65:11f:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25a:65:120::/60 | 3c19:c25a:65:12f:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25a:65:130::/60 | 3c19:c25a:65:13f:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25a:65:140::/60 | 3c19:c25a:65:14f:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25a:65:150::/60 | 3c19:c25a:65:15f:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25a:65:160::/60 | 3c19:c25a:65:16f:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25a:65:170::/60 | 3c19:c25a:65:17f:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25a:65:180::/60 | 3c19:c25a:65:18f:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25a:65:190::/60 | 3c19:c25a:65:19f:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25a:65:1a0::/60 | 3c19:c25a:65:1af:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25a:65:1b0::/60 | 3c19:c25a:65:1bf:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25a:65:1c0::/60 | 3c19:c25a:65:1cf:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25a:65:1d0::/60 | 3c19:c25a:65:1df:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25a:65:1e0::/60 | 3c19:c25a:65:1ef:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25a:65:1f0::/60 | 3c19:c25a:65:1ff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25a:65:200::/60 | 3c19:c25a:65:20f:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25a:65:210::/60 | 3c19:c25a:65:21f:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25a:65:220::/60 | 3c19:c25a:65:22f:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25a:65:230::/60 | 3c19:c25a:65:23f:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25a:65:240::/60 | 3c19:c25a:65:24f:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25a:65:250::/60 | 3c19:c25a:65:25f:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25a:65:260::/60 | 3c19:c25a:65:26f:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25a:65:270::/60 | 3c19:c25a:65:27f:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25a:65:280::/60 | 3c19:c25a:65:28f:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25a:65:290::/60 | 3c19:c25a:65:29f:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25a:65:2a0::/60 | 3c19:c25a:65:2af:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25a:65:2b0::/60 | 3c19:c25a:65:2bf:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25a:65:2c0::/60 | 3c19:c25a:65:2cf:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25a:65:2d0::/60 | 3c19:c25a:65:2df:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25a:65:2e0::/60 | 3c19:c25a:65:2ef:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25a:65:2f0::/60 | 3c19:c25a:65:2ff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25a:65:300::/60 | 3c19:c25a:65:30f:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25a:65:310::/60 | 3c19:c25a:65:31f:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25a:65:320::/60 | 3c19:c25a:65:32f:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25a:65:330::/60 | 3c19:c25a:65:33f:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25a:65:340::/60 | 3c19:c25a:65:34f:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25a:65:350::/60 | 3c19:c25a:65:35f:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25a:65:360::/60 | 3c19:c25a:65:36f:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25a:65:370::/60 | 3c19:c25a:65:37f:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25a:65:380::/60 | 3c19:c25a:65:38f:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25a:65:390::/60 | 3c19:c25a:65:39f:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25a:65:3a0::/60 | 3c19:c25a:65:3af:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25a:65:3b0::/60 | 3c19:c25a:65:3bf:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25a:65:3c0::/60 | 3c19:c25a:65:3cf:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25a:65:3d0::/60 | 3c19:c25a:65:3df:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25a:65:3e0::/60 | 3c19:c25a:65:3ef:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25a:65:3f0::/60 | 3c19:c25a:65:3ff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25a:65:400::/60 | 3c19:c25a:65:40f:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25a:65:410::/60 | 3c19:c25a:65:41f:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25a:65:420::/60 | 3c19:c25a:65:42f:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25a:65:430::/60 | 3c19:c25a:65:43f:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25a:65:440::/60 | 3c19:c25a:65:44f:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25a:65:450::/60 | 3c19:c25a:65:45f:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25a:65:460::/60 | 3c19:c25a:65:46f:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25a:65:470::/60 | 3c19:c25a:65:47f:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25a:65:480::/60 | 3c19:c25a:65:48f:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25a:65:490::/60 | 3c19:c25a:65:49f:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25a:65:4a0::/60 | 3c19:c25a:65:4af:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25a:65:4b0::/60 | 3c19:c25a:65:4bf:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25a:65:4c0::/60 | 3c19:c25a:65:4cf:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25a:65:4d0::/60 | 3c19:c25a:65:4df:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25a:65:4e0::/60 | 3c19:c25a:65:4ef:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25a:65:4f0::/60 | 3c19:c25a:65:4ff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25a:65:500::/60 | 3c19:c25a:65:50f:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25a:65:510::/60 | 3c19:c25a:65:51f:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25a:65:520::/60 | 3c19:c25a:65:52f:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25a:65:530::/60 | 3c19:c25a:65:53f:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25a:65:540::/60 | 3c19:c25a:65:54f:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25a:65:550::/60 | 3c19:c25a:65:55f:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25a:65:560::/60 | 3c19:c25a:65:56f:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25a:65:570::/60 | 3c19:c25a:65:57f:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25a:65:580::/60 | 3c19:c25a:65:58f:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25a:65:590::/60 | 3c19:c25a:65:59f:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25a:65:5a0::/60 | 3c19:c25a:65:5af:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25a:65:5b0::/60 | 3c19:c25a:65:5bf:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25a:65:5c0::/60 | 3c19:c25a:65:5cf:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25a:65:5d0::/60 | 3c19:c25a:65:5df:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25a:65:5e0::/60 | 3c19:c25a:65:5ef:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25a:65:5f0::/60 | 3c19:c25a:65:5ff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25a:65:600::/60 | 3c19:c25a:65:60f:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25a:65:610::/60 | 3c19:c25a:65:61f:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25a:65:620::/60 | 3c19:c25a:65:62f:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25a:65:630::/60 | 3c19:c25a:65:63f:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25a:65:640::/60 | 3c19:c25a:65:64f:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25a:65:650::/60 | 3c19:c25a:65:65f:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25a:65:660::/60 | 3c19:c25a:65:66f:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25a:65:670::/60 | 3c19:c25a:65:67f:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25a:65:680::/60 | 3c19:c25a:65:68f:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25a:65:690::/60 | 3c19:c25a:65:69f:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25a:65:6a0::/60 | 3c19:c25a:65:6af:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25a:65:6b0::/60 | 3c19:c25a:65:6bf:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25a:65:6c0::/60 | 3c19:c25a:65:6cf:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25a:65:6d0::/60 | 3c19:c25a:65:6df:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25a:65:6e0::/60 | 3c19:c25a:65:6ef:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25a:65:6f0::/60 | 3c19:c25a:65:6ff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25a:65:700::/60 | 3c19:c25a:65:70f:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25a:65:710::/60 | 3c19:c25a:65:71f:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25a:65:720::/60 | 3c19:c25a:65:72f:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25a:65:730::/60 | 3c19:c25a:65:73f:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25a:65:740::/60 | 3c19:c25a:65:74f:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25a:65:750::/60 | 3c19:c25a:65:75f:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25a:65:760::/60 | 3c19:c25a:65:76f:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25a:65:770::/60 | 3c19:c25a:65:77f:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25a:65:780::/60 | 3c19:c25a:65:78f:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25a:65:790::/60 | 3c19:c25a:65:79f:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25a:65:7a0::/60 | 3c19:c25a:65:7af:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25a:65:7b0::/60 | 3c19:c25a:65:7bf:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25a:65:7c0::/60 | 3c19:c25a:65:7cf:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25a:65:7d0::/60 | 3c19:c25a:65:7df:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25a:65:7e0::/60 | 3c19:c25a:65:7ef:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25a:65:7f0::/60 | 3c19:c25a:65:7ff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25a:65:800::/60 | 3c19:c25a:65:80f:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25a:65:810::/60 | 3c19:c25a:65:81f:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25a:65:820::/60 | 3c19:c25a:65:82f:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25a:65:830::/60 | 3c19:c25a:65:83f:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25a:65:840::/60 | 3c19:c25a:65:84f:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25a:65:850::/60 | 3c19:c25a:65:85f:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25a:65:860::/60 | 3c19:c25a:65:86f:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25a:65:870::/60 | 3c19:c25a:65:87f:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25a:65:880::/60 | 3c19:c25a:65:88f:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25a:65:890::/60 | 3c19:c25a:65:89f:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25a:65:8a0::/60 | 3c19:c25a:65:8af:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25a:65:8b0::/60 | 3c19:c25a:65:8bf:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25a:65:8c0::/60 | 3c19:c25a:65:8cf:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25a:65:8d0::/60 | 3c19:c25a:65:8df:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25a:65:8e0::/60 | 3c19:c25a:65:8ef:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25a:65:8f0::/60 | 3c19:c25a:65:8ff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25a:65:900::/60 | 3c19:c25a:65:90f:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25a:65:910::/60 | 3c19:c25a:65:91f:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25a:65:920::/60 | 3c19:c25a:65:92f:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25a:65:930::/60 | 3c19:c25a:65:93f:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25a:65:940::/60 | 3c19:c25a:65:94f:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25a:65:950::/60 | 3c19:c25a:65:95f:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25a:65:960::/60 | 3c19:c25a:65:96f:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25a:65:970::/60 | 3c19:c25a:65:97f:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25a:65:980::/60 | 3c19:c25a:65:98f:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25a:65:990::/60 | 3c19:c25a:65:99f:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25a:65:9a0::/60 | 3c19:c25a:65:9af:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25a:65:9b0::/60 | 3c19:c25a:65:9bf:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25a:65:9c0::/60 | 3c19:c25a:65:9cf:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25a:65:9d0::/60 | 3c19:c25a:65:9df:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25a:65:9e0::/60 | 3c19:c25a:65:9ef:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25a:65:9f0::/60 | 3c19:c25a:65:9ff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25a:65:a00::/60 | 3c19:c25a:65:a0f:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25a:65:a10::/60 | 3c19:c25a:65:a1f:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25a:65:a20::/60 | 3c19:c25a:65:a2f:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25a:65:a30::/60 | 3c19:c25a:65:a3f:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25a:65:a40::/60 | 3c19:c25a:65:a4f:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25a:65:a50::/60 | 3c19:c25a:65:a5f:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25a:65:a60::/60 | 3c19:c25a:65:a6f:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25a:65:a70::/60 | 3c19:c25a:65:a7f:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25a:65:a80::/60 | 3c19:c25a:65:a8f:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25a:65:a90::/60 | 3c19:c25a:65:a9f:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25a:65:aa0::/60 | 3c19:c25a:65:aaf:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25a:65:ab0::/60 | 3c19:c25a:65:abf:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25a:65:ac0::/60 | 3c19:c25a:65:acf:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25a:65:ad0::/60 | 3c19:c25a:65:adf:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25a:65:ae0::/60 | 3c19:c25a:65:aef:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25a:65:af0::/60 | 3c19:c25a:65:aff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25a:65:b00::/60 | 3c19:c25a:65:b0f:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25a:65:b10::/60 | 3c19:c25a:65:b1f:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25a:65:b20::/60 | 3c19:c25a:65:b2f:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25a:65:b30::/60 | 3c19:c25a:65:b3f:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25a:65:b40::/60 | 3c19:c25a:65:b4f:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25a:65:b50::/60 | 3c19:c25a:65:b5f:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25a:65:b60::/60 | 3c19:c25a:65:b6f:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25a:65:b70::/60 | 3c19:c25a:65:b7f:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25a:65:b80::/60 | 3c19:c25a:65:b8f:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25a:65:b90::/60 | 3c19:c25a:65:b9f:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25a:65:ba0::/60 | 3c19:c25a:65:baf:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25a:65:bb0::/60 | 3c19:c25a:65:bbf:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25a:65:bc0::/60 | 3c19:c25a:65:bcf:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25a:65:bd0::/60 | 3c19:c25a:65:bdf:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25a:65:be0::/60 | 3c19:c25a:65:bef:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25a:65:bf0::/60 | 3c19:c25a:65:bff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25a:65:c00::/60 | 3c19:c25a:65:c0f:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25a:65:c10::/60 | 3c19:c25a:65:c1f:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25a:65:c20::/60 | 3c19:c25a:65:c2f:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25a:65:c30::/60 | 3c19:c25a:65:c3f:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25a:65:c40::/60 | 3c19:c25a:65:c4f:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25a:65:c50::/60 | 3c19:c25a:65:c5f:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25a:65:c60::/60 | 3c19:c25a:65:c6f:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25a:65:c70::/60 | 3c19:c25a:65:c7f:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25a:65:c80::/60 | 3c19:c25a:65:c8f:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25a:65:c90::/60 | 3c19:c25a:65:c9f:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25a:65:ca0::/60 | 3c19:c25a:65:caf:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25a:65:cb0::/60 | 3c19:c25a:65:cbf:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25a:65:cc0::/60 | 3c19:c25a:65:ccf:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25a:65:cd0::/60 | 3c19:c25a:65:cdf:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25a:65:ce0::/60 | 3c19:c25a:65:cef:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25a:65:cf0::/60 | 3c19:c25a:65:cff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25a:65:d00::/60 | 3c19:c25a:65:d0f:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25a:65:d10::/60 | 3c19:c25a:65:d1f:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25a:65:d20::/60 | 3c19:c25a:65:d2f:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25a:65:d30::/60 | 3c19:c25a:65:d3f:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25a:65:d40::/60 | 3c19:c25a:65:d4f:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25a:65:d50::/60 | 3c19:c25a:65:d5f:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25a:65:d60::/60 | 3c19:c25a:65:d6f:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25a:65:d70::/60 | 3c19:c25a:65:d7f:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25a:65:d80::/60 | 3c19:c25a:65:d8f:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25a:65:d90::/60 | 3c19:c25a:65:d9f:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25a:65:da0::/60 | 3c19:c25a:65:daf:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25a:65:db0::/60 | 3c19:c25a:65:dbf:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25a:65:dc0::/60 | 3c19:c25a:65:dcf:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25a:65:dd0::/60 | 3c19:c25a:65:ddf:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25a:65:de0::/60 | 3c19:c25a:65:def:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25a:65:df0::/60 | 3c19:c25a:65:dff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25a:65:e00::/60 | 3c19:c25a:65:e0f:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25a:65:e10::/60 | 3c19:c25a:65:e1f:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25a:65:e20::/60 | 3c19:c25a:65:e2f:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25a:65:e30::/60 | 3c19:c25a:65:e3f:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25a:65:e40::/60 | 3c19:c25a:65:e4f:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25a:65:e50::/60 | 3c19:c25a:65:e5f:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25a:65:e60::/60 | 3c19:c25a:65:e6f:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25a:65:e70::/60 | 3c19:c25a:65:e7f:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25a:65:e80::/60 | 3c19:c25a:65:e8f:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25a:65:e90::/60 | 3c19:c25a:65:e9f:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25a:65:ea0::/60 | 3c19:c25a:65:eaf:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25a:65:eb0::/60 | 3c19:c25a:65:ebf:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25a:65:ec0::/60 | 3c19:c25a:65:ecf:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25a:65:ed0::/60 | 3c19:c25a:65:edf:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25a:65:ee0::/60 | 3c19:c25a:65:eef:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25a:65:ef0::/60 | 3c19:c25a:65:eff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25a:65:f00::/60 | 3c19:c25a:65:f0f:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25a:65:f10::/60 | 3c19:c25a:65:f1f:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25a:65:f20::/60 | 3c19:c25a:65:f2f:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25a:65:f30::/60 | 3c19:c25a:65:f3f:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25a:65:f40::/60 | 3c19:c25a:65:f4f:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25a:65:f50::/60 | 3c19:c25a:65:f5f:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25a:65:f60::/60 | 3c19:c25a:65:f6f:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25a:65:f70::/60 | 3c19:c25a:65:f7f:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25a:65:f80::/60 | 3c19:c25a:65:f8f:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25a:65:f90::/60 | 3c19:c25a:65:f9f:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25a:65:fa0::/60 | 3c19:c25a:65:faf:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25a:65:fb0::/60 | 3c19:c25a:65:fbf:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25a:65:fc0::/60 | 3c19:c25a:65:fcf:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25a:65:fd0::/60 | 3c19:c25a:65:fdf:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25a:65:fe0::/60 | 3c19:c25a:65:fef:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25a:65:ff0::/60 | 3c19:c25a:65:fff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |